> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Get new orders

GET https://api.feedamp.feedonomics.com/api/v1/orders/new

Get all orders that have not yet been confirmed by the seller. The maximum recommended call frequency for retrieving data from this endpoint is 2 requests per second.


Reference: https://docs.feedonomics.com/developer/api-reference/rest/feedamp-order-api-v1/orders/get-orders-new

## Authentication

- `token` header (required) — The Authentication token obtained from the get_token route.
- `x-api-key` header (required) — The SSO token obtained from the Feedonomics platform SSO token route.

## Request

### Query parameters

- `include_raw` (boolean, optional, default: false) — Set true to include the raw data from the marketplace for each order in results.
- `limit` (double, optional) — The max number of orders in the response (50-200). Default is 100.
- `cursor` (string, optional) — Cursor for the next page of orders.
- `marketplace_fulfilled` (boolean, optional) — Set true to only include with marketplace_fulfilled set

### Headers

- `client` (integer, required) — The id of the client making the request.

## Response

### 200

List of orders

- `orders` (list of Order, optional)
- `next_cursor` (string, optional) — The cursor to get the next page of orders.

## Types

### Order

- `id` (string, required) — FeedAMP unique order id, used for other calls as order-id
- `state` (string, required) — The state of the order. All new orders have a state of "ORDERED"
- `marketplace_state` (enum, required) — The state of the order in the marketplace
  - Allowed values: `PENDING`, `AWAITING_ACKNOWLEDGEMENT`, `AWAITING_SHIPMENT`, `SHIPPED`, `CANCELLED`, `MISSING`, `UNRECOGNIZED`
- `integration_name` (string, required) — The name of the marketplace integration you have on FeedAMP
- `paused` (integer, required) — 1 if this order has been paused on FeedAMP side, 0 if it has not
- `order_info` (OrderOrderInfo, required)
- `acknowledged` (integer, optional) — 1 if this order has been acknowledged on the marketplace side.
- `raw_order` (OrderRawOrder, optional) — The raw data from the marketplace used to create the order in FeedAMP.

### OrderOrderInfo

- `mp_order_number` (string, required) — The primary order number provided by the marketplace.
- `marketplace_name` (string, required) — The name of the marketplace integration
- `purchase_date` (string, required) — The datetime of the purchase date.
- `currency` (string, required) — The currency in ISO 4217 format.
- `shipping_full_name` (string, required) — Name on the Shipping Address
- `shipping_address1` (string, required) — Shipping street address, line 1.
- `shipping_city` (string, required) — Shipping Address (City)
- `shipping_state` (string, required) — Shipping Address (State or Province)
- `shipping_postal_code` (string, required) — Shipping Address (Postal or Zip code)
- `shipping_country_code` (string, required) — Shipping Address (Country Code)
- `order_lines` (list of OrderOrderInfoOrderLinesItems, required) — List of ordered products
- `mp_alt_order_number` (string, optional) — A secondary order number provided by some marketplaces.
- `customer_order_number` (string, optional) — The customer-facing order number provided by some marketplaces.
- `cp_order_number` (string, optional) — The id for this order in the client platform.
- `sales_channel` (string, optional) — The specific channel within a marketplace (typically corresponds to region).
- `locale` (string, optional) — Additional region and/or language information
- `customer_full_name` (string, optional) — The full name of the customer.
- `customer_email` (string, optional) — The customer's email address. Note: Not all marketplaces provide a customer email. If your system requires customer email, a fallback dummy email can be configured. Reach out to our Marketplace team.
- `customer_phone` (string, optional) — The phone number of the customer
- `customer_vat` (string, optional) — International Value-Added Tax identification number of customer
- `delivery_notes` (string, optional) — The customer's instructions to the delivery service regarding where/how to leave the package.
- `estimated_ship_date` (string, optional) — A single expected ship-by date when a window is not given.
- `earliest_ship_date` (string, optional) — The earliest expected ship-by date.
- `latest_ship_date` (string, optional) — The latest expected ship-by date.
- `estimated_delivery_date` (string, optional) — A single expected deliver-by date when a window is not given.
- `latest_delivery_date` (string, optional) — The latest expected deliver-by date.
- `earliest_delivery_date` (string, optional) — The earliest expected deliver-by date.
- `is_amazon_prime` (string, optional) — Whether an order is being fulfilled through Amazon Prime
- `is_wish_express` (string, optional) — Whether an order is being fulfilled through Wish Express
- `gift_message` (string, optional) — Gift message attached to order
- `paypal_transaction_ids` (string, optional) — A comma-separated list of transaction IDs generated by PayPal
- `feedamp_order_id` (string, optional) — Order identifier in FeedAMP
- `marketing_opt_in` (string, optional) — Opted in to marketing emails
- `shipping_address_type` (string, optional) — The category of the shipping address
- `shipping_address2` (string, optional) — Shipping street address, line 2.
- `shipping_address3` (string, optional) — Shipping street address, line 3.
- `shipping_phone` (string, optional) — Shipping Phone Number
- `shipment_service_level` (string, optional) — Shipment Service Level
- `shipment_node` (string, optional) — Shipment Node
- `order_additional_properties` (map from string to any, optional) — Key/Value pairs of additional order data from the marketplace.

### OrderRawOrder

The raw data from the marketplace used to create the order in FeedAMP.

- `type` (enum, required) — The format of the raw marketplace data
  - Allowed values: `xml`, `json`
- `data` (string, required) — The raw order data from the marketplace.

### OrderOrderInfoOrderLinesItems

- `mp_line_number` (string, required) — The order line identifier provided by the marketplace.
- `sku` (string, required) — The SKU of the product that was included in the marketplace listing.
- `product_name` (string, required) — The product title, as displayed in the marketplace listing.
- `quantity` (integer, required) — Amount ordered.
- `unit_price` (double, required) — The price per product (not total, not including tax, shipping, or discounts).
- `sales_tax` (double, optional) — The total sales tax for this order line.
- `shipping_method` (string, optional) — The shipping method for this order line.
- `shipping_price` (double, optional) — The total shipping price for this order line.
- `shipping_tax` (double, optional) — The total tax on shipping for this order line.
- `discount_name` (string, optional) — The discount identifier, as configured in the marketplace
- `discount` (double, optional) — The order line total discount amount.
- `platform_discount` (double, optional) — The total order line discount amount given by the marketplace to a customer. This amount is separate from seller discounts, captured in the discount field.
- `shipping_discount_name` (string, optional) — The shipping discount code / identifier.
- `shipping_discount` (double, optional) — The order line total shipping discount.
- `commission` (double, optional) — Commission on the sale that will be taken by the marketplace. Note: If this field is empty, it only means the information is not available along with the order. It does not mean the commission is 0.
- `gift_wrap_price` (double, optional) — Amount charged to gift wrap the item
- `gift_wrap_tax` (double, optional) — Taxes for the gift wrapping service
- `amount_available_for_refund` (double, optional) — For orders with promotions in Facebook. This is the max amount that the can be refunded for the line. If the seller is tax inclusive, this value contains all taxes, otherwise the value reflects the pre-tax amount amount.
- `is_tax_collected_by_marketplace` (boolean, optional) — Indicate if the taxes are collected by the marketplace.
- `bundle_components` (list of OrderOrderInfoOrderLinesItemsBundleComponentsItems, optional) — If provided by the marketplace, the order line SKU is a "virtual bundle" and the component items are listed here.
- `order_line_additional_properties` (map from string to any, optional) — Key/Value pairs of additional order line data from the marketplace.

### OrderOrderInfoOrderLinesItemsBundleComponentsItems

- `component_sku` (string, required) — The marketplace SKU identifier of the component
- `component_quantity` (integer, required) — The quantity of the component included in one bundle line
- `component_product_name` (string, optional) — The marketplace product title of the component

## Examples

**Response**

```json
{
  "orders": [
    {
      "id": "123",
      "state": "ORDERED",
      "marketplace_state": "AWAITING_SHIPMENT",
      "integration_name": "amazon",
      "paused": 0,
      "order_info": {
        "mp_order_number": "111-99998888-55555",
        "marketplace_name": "amazon_uk",
        "purchase_date": "2018-05-01T23:52:01.000Z",
        "currency": "USD",
        "shipping_full_name": "John M. Doe",
        "shipping_address1": "123 Fake Street",
        "shipping_city": "Ghost Town",
        "shipping_state": "DC",
        "shipping_postal_code": "91234",
        "shipping_country_code": "USA",
        "order_lines": [
          {
            "mp_line_number": "afdafasdgasdg",
            "sku": "1234-12353",
            "product_name": "Beats Pill Speakers",
            "quantity": 1,
            "unit_price": 200,
            "sales_tax": 20,
            "shipping_method": "FedEx",
            "shipping_price": 1.95,
            "shipping_tax": 0.19,
            "discount_name": "",
            "discount": 1.1,
            "platform_discount": 1.1,
            "shipping_discount_name": "",
            "shipping_discount": 1.1,
            "commission": 1.1,
            "gift_wrap_price": 5.99,
            "gift_wrap_tax": 0.3,
            "amount_available_for_refund": 21.98,
            "is_tax_collected_by_marketplace": false,
            "bundle_components": [
              {
                "component_sku": "ComponentSKU",
                "component_quantity": 1,
                "component_product_name": "Component Product"
              }
            ],
            "order_line_additional_properties": {}
          }
        ],
        "mp_alt_order_number": "152-99632191476188",
        "customer_order_number": "19452824",
        "cp_order_number": "61438900216825",
        "sales_channel": "Amazon.com",
        "locale": "be-FR",
        "customer_full_name": "J.K. Rowling",
        "customer_email": "exempleethioet@amazon.com",
        "customer_phone": "5558675309",
        "customer_vat": "78131452263",
        "delivery_notes": "leave by the back door.",
        "estimated_ship_date": "",
        "earliest_ship_date": "2018-02-04T22:00:00.000Z",
        "latest_ship_date": "2018-02-07T22:00:00.000Z",
        "estimated_delivery_date": "2018-02-10T22:00:00.000Z",
        "latest_delivery_date": "",
        "earliest_delivery_date": "2018-02-10T22:00:00.000Z",
        "is_amazon_prime": "",
        "is_wish_express": "",
        "gift_message": "",
        "paypal_transaction_ids": "",
        "feedamp_order_id": "",
        "marketing_opt_in": "",
        "shipping_address_type": "business",
        "shipping_address2": "Building 456",
        "shipping_address3": "Room 789",
        "shipping_phone": "9997776666",
        "shipment_service_level": "UPS_GROUND",
        "shipment_node": "Austin Warehouse",
        "order_additional_properties": {}
      },
      "acknowledged": 0,
      "raw_order": {
        "type": "json",
        "data": "{\"id\":123,\"items\":[{\"sku\":\"SKU\",\"quantity\":1\"]}"
      }
    }
  ],
  "next_cursor": "12FDG-31dsfgHW"
}
```

**SDK Code**

```python
import requests

url = "https://api.feedamp.feedonomics.com/api/v1/orders/new"

headers = {
    "client": "1",
    "token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.feedamp.feedonomics.com/api/v1/orders/new';
const options = {method: 'GET', headers: {client: '1', token: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.feedamp.feedonomics.com/api/v1/orders/new"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("client", "1")
	req.Header.Add("token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.feedamp.feedonomics.com/api/v1/orders/new")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["client"] = '1'
request["token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.feedamp.feedonomics.com/api/v1/orders/new")
  .header("client", "1")
  .header("token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.feedamp.feedonomics.com/api/v1/orders/new', [
  'headers' => [
    'client' => '1',
    'token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.feedamp.feedonomics.com/api/v1/orders/new");
var request = new RestRequest(Method.GET);
request.AddHeader("client", "1");
request.AddHeader("token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "client": "1",
  "token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.feedamp.feedonomics.com/api/v1/orders/new")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```